ANDUMP(1)

NAME
andump - ACR/NEMA DICOM PS3 ... Describe ACR-NEMA file content

SYNOPSIS

andump [ -ancreate ] [ -extractCSA ] [ -showoffset|-showoffset-hex |-showoffset-octal|-showoffset-oct |-showoffset-decimal|-showoffset-dec ] [ -filename ]

DESCRIPTION

andump reads the named acr-nema input file and describes the information contained, without attempting to interpret the structure of the message (cf. dcdump).

The group and element number, dictionary and explicit value representation, description of tag, value length and value of the element are displayed, optionally with an offset byte count from the start of the file.

OPTIONS
The attribute values, description and verbose output go to standard error.

Binary attributes are written in hexadecimal with a preceding "0x". Numeric string attributes are written in decimal. Attribute values are displayed in hexadecimal or string format as determined by the value representation.

The basic input switches are described in dcintro(1). Options specific to this program are:

-ancreate
    Display item, end item and end sequence delimiter tags in a form suitable to feed into ancreate.

-extractCSA
    Extract the DICOM-like attributes buried within the Siemens private CSA header OB value.

-showoffset|-showoffset-hex
    Display byte offset from file start in hexadecimal.

-showoffset-octal|-showoffset-oct
    Display byte offset from file start in octal.

-showoffset-decimal|-showoffset-dec
    Display byte offset from file start in decimal.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

ENVIRONMENT

EXAMPLES

% andump NM.dc3
(0x0008,0x0000) UL Group Length VR=<UL> VL=<0x0004> [0x08]
(0x0008,0x0008) CS Image Type VR=<CS> VL=<0x0024> <...>
...
(0x0054,0x0013) SQ ... Sequence VR=<SQ> VL=<0xffffffff> []
(0xfffe,0xe000) NONE Item VR=<> VL=<0xffffffff> []
(0x0054,0x0014) DS Energy Win LL VR=<DS> VL=<0x0006> <1.0 >
(0x0054,0x0015) DS Energy Win UL VR=<DS> VL=<0x0006> <9.0 >
(0xfffe,0xe00d) NONE Item Del .. VR=<> VL=<0x0000> []
(0xfffe,0xe0dd) NONE Seq Del .. VR=<> VL=<0x0000> []
...
% andump -ancreate NM.dc3
(0x0008,0x0000) UL Group Length VR=<UL> VL=<0x0004> [0x08]
(0x0008,0x0008) CS Image Type VR=<CS> VL=<0x0024> <...>
...
(0x0054,0x0013) SQ ... Sequence VR=<SQ> VL=<0xffffffff> []
%item
(0x0054,0x0014) DS Energy Win LL VR=<DS> VL=<0x0006> <1.0 >
(0x0054,0x0015) DS Energy Win UL VR=<DS> VL=<0x0006> <9.0 >
%enditem
%endseq
...

FILES

SEE ALSO
ancreate(1), dcdump(1), dcintro(1)

AUTHOR
Copyright (c) 1993-2022, David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS